# $Id: apolos.spec 1239 2004-06-07 01:27:44Z dag $
# Authority: dag
# Upstream: Jonathan Gonzalez V. <jonathan@blueplanet.cl>

%{?dist: %{expand: %%define %dist 1}}

%{?rh7:%define _without_freedesktop 1}
%{?el2:%define _without_freedesktop 1}
%{?rh6:%define _without_freedesktop 1}

Summary: Small cd player for GNOME
Name: apolos
Version: 0.1.5
Release: 1.dag
License: GPL
Group: Applications/Multimedia
URL: http://www.nongnu.org/apolos/

Packager: Dag Wieers <dag@wieers.com>
Vendor: Dag Apt Repository, http://dag.wieers.com/apt/

Source: http://savannah.nongnu.org/download/apolos/unstable.pkg/%{version}/apolos-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires: gtk2 >= 2.0, cdparanoia-devel
%{!?_without_freedesktop:BuildRequires: desktop-file-utils}

%description
Apolos is a small cd player for GNOME.

%prep
%setup

### FIXME: Add /usr/include/cdda to include dirs. (Please fix upstream)
%{__perl} -pi.orig -e 's|^(CFLAGS =)|$1 -I%{_includedir}/cdda|' src/Makefile.in

### FIXME: Include improved desktop-file. (Please fix upstream)
%{__cat} <<EOF >apolos.desktop
[Desktop Entry]
Name=Apolos CD Player
Comment=Play audio CDs
Icon=gnome-multimedia.png
Exec=apolos
Terminal=false
Type=Application
StartupNotify=true
Encoding=UTF-8
Categories=GNOME;Application;AudioVideo;
EOF

%build
%configure
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%makeinstall
%find_lang %{name}

%if %{?_without_freedesktop:1}0
	%{__install} -D -m0644 apolos.desktop %{buildroot}%{_datadir}/gnome/apps/Multimedia/apolos.desktop
%else
	desktop-file-install --vendor gnome --delete-original \
		--add-category X-Red-Hat-Base                 \
		--dir %{buildroot}%{_datadir}/applications    \
		%{buildroot}%{_datadir}/applications/apolos.desktop
%endif

%clean
%{__rm} -rf %{buildroot}

%files -f %{name}.lang
%defattr(-, root, root, 0755)
%doc AUTHORS ChangeLog COPYING NEWS README
%{_bindir}/*
%{?_without_freedesktop:%{_datadir}/gnome/apps/Multimedia/apolos.desktop}
%{!?_without_freedesktop:%{_datadir}/applications/gnome-apolos.desktop}

%changelog
* Wed Oct 29 2003 Dag Wieers <dag@wieers.com> - 0.1.5-0
- Updated to release 0.1.5.

* Sun Aug 17 2003 Dag Wieers <dag@wieers.com> - 0.1.4-0
- Initial package. (using DAR)
